package intrinsic.mx.logging;

public class AbstractTarget extends Object implements intrinsic.mx.core.IMXMLObject, intrinsic.mx.logging.ILoggingTarget {

	/** Accessors */
	public String id;
	public intrinsic.Array filters;
	public int level;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AbstractTarget() {
}


/** Static Methods */

/** Methods */
public native void initialized(Object arg0, String arg1);
public native void logEvent(intrinsic.mx.logging.LogEvent arg0);
public native void addLogger(intrinsic.mx.logging.ILogger arg0);
public native void removeLogger(intrinsic.mx.logging.ILogger arg0);

}
